Bug 809457 - [ovirt] [engine-core] unable to start vm: incorrect boot order sent in CreateVmVdsCommand
[ovirt] [engine-core] unable to start vm: incorrect boot order sent in Create...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1
Assigned To: Eli Mesika
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 08:31 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:59:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-04-03 08:31:54 EDT
Description of problem:

- create vm 
- create disk (system, data)
- start vm - vm is started
- stop vm 
- add new disk 
- edit first disk, unset the bootable checkbox
- edit second disk, set the bootable checkbox
- deactivate first disk
- start vm - vm fails to start 

reason: disk boot order sent to vdsm is 2, libvirt reject that operation, as it expect 1 to be sent first ...
Comment 1 Eli Mesika 2012-04-04 09:31:21 EDT
http://gerrit.ovirt.org/#change,3332
Comment 2 Itamar Heim 2012-08-09 03:59:00 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.